[![Build Status](https://img.shields.io/travis/WolfSoftware/human_duration/master.svg)](https://travis-ci.org/WolfSoftware/human_duration)
[![Software License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/release/wolfsoftware/human_duration.svg)](https://github.com/wolfsoftware/human_duration/releases/latest)
[![Gem Version](https://badge.fury.io/rb/human_duration.svg)](https://badge.fury.io/rb/human_duration)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/wolfsoftware/human_duration/latest.svg)](https://github.com/wolfsoftware/human_duration/commits)
[![GitHub repo size in bytes](https://img.shields.io/github/repo-size/wolfsoftware/human_duration.svg)](https://github.com/wolfsoftware/human_duration)
[![GitHub contributors](https://img.shields.io/github/contributors/wolfsoftware/human_duration.svg)](https://github.com/wolfsoftware/human_duration)

# HumanDuration

Human Durartion is a simple ruby gem to convert a number of seconds into a more human readable form.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'human_duration'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install human_duration

## Usage

```ruby
  require 'human_size'

  puts HumanDuration::Duration.human_duration(10)

  # or

  puts 10.human_duration
```

It is possible to configure the output using one of the options 'compact', 'small' and 'full', 'compact' is the default. For more detailed example please refer to [example/example.rb](https://github.com/WolfSoftware/human_duration/blob/master/example/example.rb)

```ruby
  HumanDuration::Duration.display_type(output_type)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/WolfSoftware/human_duration. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the HumanDuration project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/WolfSoftware/human_duration/blob/master/CODE_OF_CONDUCT.md).
